Bug 483413 - Oops in USB code related to use of Sandisk Sansa Fuze
Oops in USB code related to use of Sandisk Sansa Fuze
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 17:35 EST by Casey Dahlin
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:45:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2009-01-31 17:35:32 EST
Took me awhile to notice this in my logs so I'm not sure specifically what triggered it, but the only devices plugged in in the timeframe were a memory stick and a Sandisk Sansa Fuze mp3 player. Since the mp3 player exhibited odd behavior when it was plugged in and applications that normally read it are still having problems right now, I'm assuming that was what triggered it.


usb 1-3.7: new high speed USB device using ehci_hcd and address 5
hub 1-3:1.0: unable to enumerate USB device on port 7
usb 1-3.7: new high speed USB device using ehci_hcd and address 6
usb 1-3.7: configuration #1 chosen from 1 choice
scsi11 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usb 1-3.7: New USB device found, idVendor=0781, idProduct=74c0
usb 1-3.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-3.7: Product: SanDisk Sansa Fuze
usb 1-3.7: Manufacturer: SanDisk
usb 1-3.7: SerialNumber: D904EA093003B6870000000000000000
usb-storage: device scan complete
scsi 11:0:0:0: Direct-Access     SanDisk  Sansa Fuze 8GB   v01. PQ: 0 ANSI: 0
scsi 11:0:0:1: Direct-Access     SanDisk  Sansa Fuze 8GB   v01. PQ: 0 ANSI: 0
sd 11:0:0:0: [sdc] 15990784 512-byte hardware sectors (8187 MB)
sd 11:0:0:0: [sdc] Write Protect is off
sd 11:0:0:0: [sdc] Mode Sense: 04 00 00 00
sd 11:0:0:0: [sdc] Assuming drive cache: write through
sd 11:0:0:0: [sdc] 15990784 512-byte hardware sectors (8187 MB)
sd 11:0:0:0: [sdc] Write Protect is off
sd 11:0:0:0: [sdc] Mode Sense: 04 00 00 00
sd 11:0:0:0: [sdc] Assuming drive cache: write through
 sdc:
sd 11:0:0:0: [sdc] Attached SCSI removable disk
sd 11:0:0:0: Attached scsi generic sg3 type 0
sd 11:0:0:1: [sdd] Attached SCSI removable disk
sd 11:0:0:1: Attached scsi generic sg4 type 0
SELinux: initialized (dev sdc, type vfat), uses genfs_contexts
tun0: Disabled Privacy Extensions
tun0: Disabled Privacy Extensions
tun0: Disabled Privacy Extensions
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: [sdd] READ CAPACITY failed
scsi 11:0:0:1: [sdd] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
scsi 11:0:0:1: [sdd] Sense not available.
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: [sdd] Write Protect is off
scsi 11:0:0:1: [sdd] Mode Sense: 00 00 00 00
scsi 11:0:0:1: [sdd] Assuming drive cache: write through
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: [sdd] READ CAPACITY failed
scsi 11:0:0:1: [sdd] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
scsi 11:0:0:1: [sdd] Sense not available.
scsi 11:0:0:1: rejecting I/O to dead device
scsi 11:0:0:1: [sdd] Write Protect is off
scsi 11:0:0:1: [sdd] Mode Sense: 00 00 00 00
scsi 11:0:0:1: [sdd] Assuming drive cache: write through
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdc] READ CAPACITY failed
scsi 11:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
scsi 11:0:0:0: [sdc] Sense not available.
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdc] Write Protect is off
scsi 11:0:0:0: [sdc] Mode Sense: 00 00 00 00
scsi 11:0:0:0: [sdc] Assuming drive cache: write through
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdc] READ CAPACITY failed
scsi 11:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
scsi 11:0:0:0: [sdc] Sense not available.
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdc] Write Protect is off
scsi 11:0:0:0: [sdc] Mode Sense: 00 00 00 00
scsi 11:0:0:0: [sdc] Assuming drive cache: write through
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:1: rejecting I/O to dead device
BUG: unable to handle kernel NULL pointer dereference at 00000002
IP: [<00000002>]
*pde = 7fb68067 
Oops: 0000 [#1] SMP 
Modules linked in: tun vfat fat ipt_MASQUERADE iptable_nat nf_nat bridge stp bnep sco l2cap bluetooth autofs4 fuse sunrpc nf_conntrack_ipv6 ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss jedec_probe snd_pcm cfi_probe gen_probe snd_timer mtd snd_page_alloc snd_hwdep chipreg snd i2c_nforce2 firewire_ohci firewire_core usb_storage map_funcs i2c_core forcedeth pcspkr floppy crc_itu_t soundcore pata_amd sata_sil24 ata_generic pata_acpi sata_nv [last unloaded: microcode]

Pid: 20534, comm: usb-storage Not tainted (2.6.27.9-159.fc10.i686 #1)
EIP: 0060:[<00000002>] EFLAGS: 00010006 CPU: 3
EIP is at 0x2
EAX: f0dbae00 EBX: f2da9b64 ECX: 00000003 EDX: f0dbae00
ESI: f0dbae00 EDI: f2da9800 EBP: c3927fd0 ESP: c3927f84
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process usb-storage (pid: 20534, ti=c3927000 task=f5aa3340 task.ti=c3927000)
Stack: f88b927b f2da9b84 c3927fa0 c3927fb4 f2da9c18 f2da9c28 f2da9800 00000000 
       f5aa35b4 1e7c9e4d 00000519 00000073 00000000 00000000 00000519 ffffffff 
       f2da9b64 f88b911b 00000000 c3927fe0 c043d973 c043d938 00000000 00000000 
Call Trace:
 [<f88b927b>] ? usb_stor_control_thread+0x160/0x1e9 [usb_storage]
 [<f88b911b>] ? usb_stor_control_thread+0x0/0x1e9 [usb_storage]
 [<c043d973>] ? kthread+0x3b/0x61
 [<c043d938>] ? kthread+0x0/0x61
 [<c04048f7>] ? kernel_thread_helper+0x7/0x10
 =======================
Code:  Bad EIP value.
EIP: [<00000002>] 0x2 SS:ESP 0068:c3927f84
---[ end trace 68e1288480ef2c66 ]---
usb 1-3.7: USB disconnect, address 6
Comment 1 Pete Zaitcev 2009-05-14 18:50:50 EDT
I'm sorry to have you hanging for 4 months, but what's the situation now?
Did you have a chance to try F11 beta by any chance?
Comment 2 Bug Zapper 2009-11-18 05:56:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:45:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.